> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List products

> Retrieve a paginated list of products with powerful filtering options.
    
    Products are the core items available for sale. Each product can have multiple 
    variants (different configurations) and offers (different pricing options).
    Results are sorted by creation date (newest first) by default.



## OpenAPI

````yaml /api-reference/api-docs.yaml get /v0/products/list
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/products/list:
    get:
      tags:
        - products
      summary: List products
      description: |-
        Retrieve a paginated list of products with powerful filtering options.
            
            Products are the core items available for sale. Each product can have multiple 
            variants (different configurations) and offers (different pricing options).
            Results are sorted by creation date (newest first) by default.
      operationId: GetV0ProductsList
      parameters:
        - name: orderDirection
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterOrderDirection'
        - name: skip
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterSkip'
        - name: take
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterTake'
        - name: archived
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterArchived'
        - name: withArchived
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterWithArchived'
        - name: returnCount
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterReturnCount'
        - name: ids
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterIds'
        - name: statuses
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterStatuses'
        - name: termOrId
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterTermOrId'
        - name: tagName
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterTagName'
        - name: genres
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterGenres'
        - name: systems
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterSystems'
        - name: types
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterTypes'
        - name: projectId
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterProjectId'
        - name: offers
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterOffers'
        - name: orderBy
          in: query
          required: false
          description: GET /v0/products/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0ProductsListParameterOrderBy'
      responses:
        '200':
          description: GET /v0/products/list Positive response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0ProductsListPositiveResponse'
        '400':
          description: GET /v0/products/list Negative response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0ProductsListNegativeResponse'
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
components:
  schemas:
    GetV0ProductsListParameterOrderDirection:
      type: string
      enum:
        - ASC
        - DESC
    GetV0ProductsListParameterSkip:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0ProductsListParameterTake:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0ProductsListParameterArchived:
      oneOf:
        - type: string
        - type: boolean
    GetV0ProductsListParameterWithArchived:
      oneOf:
        - type: string
        - type: boolean
    GetV0ProductsListParameterReturnCount:
      oneOf:
        - type: string
        - type: boolean
    GetV0ProductsListParameterIds:
      type: array
      items:
        type: string
        format: uuid
    GetV0ProductsListParameterStatuses:
      type: array
      items:
        type: string
        enum:
          - DRAFT
          - ACTIVE
          - HIDDEN
    GetV0ProductsListParameterTermOrId:
      type: string
    GetV0ProductsListParameterTagName:
      type: string
    GetV0ProductsListParameterGenres:
      type: array
      items:
        type: string
        enum:
          - Action
          - Action RPG
          - Adventure
          - Arcade
          - Arcade Racing
          - Battle Royale
          - Beat 'em up
          - Board Game
          - Card Game
          - Casual
          - Co-op
          - Educational
          - Fighting
          - FPS
          - Horror
          - Indie
          - Interactive Story
          - Japanese RPG
          - Logic Game
          - MMO
          - Management
          - Metroidvania
          - Mini-games
          - Multiplayer
          - Open World
          - Party
          - Platformer
          - Puzzle
          - RPG
          - Racing
          - Real-Time Strategy
          - Roguelike
          - Rhythm
          - Sandbox
          - Shooter
          - Simulation
          - Simulation Racing
          - Sports
          - Strategy
          - Survival
          - Tactical RPG
          - TPS
          - Turn-Based Strategy
          - Visual Novel
          - Point & Click
          - Interactive Fiction
          - Hidden Object
    GetV0ProductsListParameterSystems:
      type: array
      items:
        type: string
        enum:
          - Windows
          - MacOs
          - Linux
          - PlayStation 4
          - PlayStation 5
          - Xbox One
          - Xbox Series X|S
          - iOS
          - Android
          - Nintendo Switch
          - Nintendo 3DS
    GetV0ProductsListParameterTypes:
      type: array
      items:
        type: string
        enum:
          - DigitalDownload
          - Game
          - GiftCard
          - SoftwareKey
          - VirtualCurrency
          - VirtualItem
          - Subscription
          - OneTimePayment
    GetV0ProductsListParameterProjectId:
      type: string
    GetV0ProductsListParameterOffers:
      type:
        - object
        - 'null'
      properties:
        regions:
          type: array
          items:
            type: string
            enum:
              - Global
              - Europe
              - Argentina
              - United States
              - Turkey
              - United Kingdom
              - Latin America
              - Brazil
              - Canada
              - Mexico
              - Germany
              - Colombia
              - France
              - Saudi Arabia
              - Australia
              - Spain
              - India
              - Italy
              - Netherlands
              - United Arab Emirates
              - North America
              - Poland
              - Belgium
              - Asia
              - Egypt
              - Austria
              - Singapore
              - EMEA
              - Ireland
              - RU/CIS
              - Sweden
              - Portugal
              - Switzerland
              - New Zealand
              - Malaysia
              - Finland
              - Greece
              - Norway
              - Denmark
              - Japan
              - Hong Kong
              - Philippines
              - Middle East
              - Indonesia
              - Czech Republic
              - South Africa
              - South Korea
              - Luxembourg
              - Slovakia
              - Romania
              - Slovenia
              - Hungary
              - Chile
              - Nigeria
              - Thailand
              - Kuwait
              - Vietnam
              - Rest of the World
              - Bahrain
              - Qatar
        platforms:
          type: array
          items:
            type: string
            enum:
              - Meta Quest
              - TV
              - Music
              - Tidal
              - Tinder
              - Zalando
              - Razer
              - Netflix
              - Spotify
              - Walmart
              - Amazon
              - Food
              - Prepaid
              - Steam
              - Xbox Live
              - Origin
              - PSN
              - Ubisoft Connect
              - Nintendo
              - Official Website
              - GOG.com
              - Epic Games
              - Windows Store
              - Battle.net
              - Riot Games
              - Steam Gift Card
              - Roblox
              - Green gift
              - EA App
              - Rockstar Games Launcher
              - ArenaNet
              - PUBG
              - App Store
              - Google Play
              - Mobile
              - Other
              - Rockstar
        offerId:
          type:
            - string
            - 'null'
          format: uuid
        minPrice:
          type:
            - number
            - 'null'
          format: double
          minimum: 0
          maximum: 1.7976931348623157e+308
        maxPrice:
          type:
            - number
            - 'null'
          format: double
          minimum: 0
          maximum: 1.7976931348623157e+308
        minAvailability:
          type:
            - number
            - 'null'
          format: double
          minimum: 0
          maximum: 1.7976931348623157e+308
        maxAvailability:
          type:
            - number
            - 'null'
          format: double
          minimum: 0
          maximum: 1.7976931348623157e+308
    GetV0ProductsListParameterOrderBy:
      type: string
      enum:
        - createdAt
        - name
        - price
    GetV0ProductsListPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            products:
              type: array
              items:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - product
                    default: product
                  id:
                    type: string
                    format: uuid
                  type:
                    type: string
                    enum:
                      - DigitalDownload
                      - Game
                      - GiftCard
                      - SoftwareKey
                      - VirtualCurrency
                      - VirtualItem
                      - Subscription
                      - OneTimePayment
                  internalId:
                    type:
                      - string
                      - 'null'
                    default: null
                  name:
                    type: string
                    default: ''
                  description:
                    type: string
                    default: ''
                  developer:
                    type:
                      - string
                      - 'null'
                    default: null
                  publisher:
                    type:
                      - string
                      - 'null'
                    default: null
                  pegiRating:
                    type:
                      - string
                      - 'null'
                    enum:
                      - '3'
                      - '7'
                      - '12'
                      - '16'
                      - '18'
                      - '!'
                    default: null
                  releaseDate:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: 0
                    maximum: 9007199254740991
                    default: null
                  systems:
                    type:
                      - array
                      - 'null'
                    items:
                      type: string
                      enum:
                        - Windows
                        - MacOs
                        - Linux
                        - PlayStation 4
                        - PlayStation 5
                        - Xbox One
                        - Xbox Series X|S
                        - iOS
                        - Android
                        - Nintendo Switch
                        - Nintendo 3DS
                    default: null
                  genres:
                    type:
                      - array
                      - 'null'
                    items:
                      type: string
                      enum:
                        - Action
                        - Action RPG
                        - Adventure
                        - Arcade
                        - Arcade Racing
                        - Battle Royale
                        - Beat 'em up
                        - Board Game
                        - Card Game
                        - Casual
                        - Co-op
                        - Educational
                        - Fighting
                        - FPS
                        - Horror
                        - Indie
                        - Interactive Story
                        - Japanese RPG
                        - Logic Game
                        - MMO
                        - Management
                        - Metroidvania
                        - Mini-games
                        - Multiplayer
                        - Open World
                        - Party
                        - Platformer
                        - Puzzle
                        - RPG
                        - Racing
                        - Real-Time Strategy
                        - Roguelike
                        - Rhythm
                        - Sandbox
                        - Shooter
                        - Simulation
                        - Simulation Racing
                        - Sports
                        - Strategy
                        - Survival
                        - Tactical RPG
                        - TPS
                        - Turn-Based Strategy
                        - Visual Novel
                        - Point & Click
                        - Interactive Fiction
                        - Hidden Object
                    default: null
                  status:
                    type: string
                    enum:
                      - DRAFT
                      - ACTIVE
                      - HIDDEN
                  customFields:
                    type:
                      - array
                      - 'null'
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: string
                      required:
                        - name
                        - value
                    default: null
                required:
                  - id
                  - type
                  - status
            count:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
              maximum: 1.7976931348623157e+308
          required:
            - products
            - count
      required:
        - status
        - data
    GetV0ProductsListNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key

````